Summary:	Tk GUI toolkit for Tcl, with shared libraries
Summary(de.UTF-8):	Tk GUI-Toolkit für Tcl mit gemeinsam genutzten Libraries
Summary(fr.UTF-8):	Boite à outil d'interfaçage graphique Tk pour Tcl avec librairies partagées
Summary(pl.UTF-8):	Tk GUI narzędzia dla Tcl wraz z bibliotekami dynamicznymi
Summary(ru.UTF-8):	Tk GUI toolkit для Tcl
Summary(tr.UTF-8):	Tk, Tcl için grafik kullanıcı arabirimi araç takımıdır
Summary(uk.UTF-8):	Tk GUI toolkit для Tcl
Name:		tk
%define		major	8.6
%define		minor	12
%define	tcl_ver	%{version}
Version:	%{major}.%{minor}
Release:	1
License:	BSD
Group:		Development/Languages/Tcl
Source0:	http://downloads.sourceforge.net/tcl/%{name}%{version}-src.tar.gz
# Source0-md5:	1d6dcf6120356e3d211e056dff5e462a
Patch0:		%{name}-manlnk.patch
Patch1:		%{name}-opt_flags_pass_fix.patch
Patch2:		%{name}-norpath.patch
Patch3:		%{name}-no_tcl_stub.patch
Patch4:		%{name}-soname_fix.patch
URL:		http://www.tcl.tk/
BuildRequires:	autoconf >= 2.59
BuildRequires:	pkgconfig
BuildRequires:	tcl-devel >= %{tcl_ver}
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
Requires:	tcl >= %{tcl_ver}
Provides:	tile = 0.8.2
Obsoletes:	tile < 0.8.2-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ulibdir	%{_prefix}/lib
%define		specflags	-fno-strict-aliasing

%description
Tk is a X Window widget set designed to work closely with the Tcl
scripting language. It allows you to write simple programs with full
featured GUI's in only a little more time then it takes to write a
text based interface. Tcl/Tk applications can also be run on Windows
and Macintosh platforms.

%description -l de.UTF-8
Tk ist ein Widget-Satz für X-Window für den Einsatz mit der Script
Sprache Tcl. Sie können einfache Programme mit voll funktionsfähigen
GUIs in fast genauso schnell schreiben, wie eine zeichenorientierte
Oberfläche. Tcl/Tk-Anwendungen können auch auf Windows und
Macintosh-Plattformen ausgeführt werden.

%description -l fr.UTF-8
Tk est un ensemble de widgets X Window crée pour fonctionner avec le
langage de script Tcl. Il permet d'écrire des programmes simples avec
des fonctionnalités entiérement interfacées en à peine plus de temps
qu'avec interface texte. Les applications Tcl/Tk peuvent aussi
fonctionner sur des plateformes Windows ou Macintosh.

%description -l ja.UTF-8
Tk は Tcl スクリプト言語と密接に動作するようにデザインされた X Window
System のウィジェットセットです。 テキストベースのインターフェースを
採用してるので、あらゆる特徴をもった GUI
を少ない時間で、簡単なプログラ ムで書くことができます。 Tcl/Tk
アプリケーションは Windows や Macintosh
のプラットフォームで実行することもできます。

%description -l pl.UTF-8
Tk jest zbiorem kontrolek X Window, przeznaczonym do pracy z językiem
skryptowym Tcl. Pakiet ten pozwala na pisanie prostych programów z
GUI.

%description -l ru.UTF-8
Tk - это набор экранных примитивов для X Window, предназначенный для
работы с интерпретерируемым языком Tcl. Он позволяет писать
полноценные программы с графическим интерфейсом практически за то же
время, что и программы текстового режима. Программы на Tcl/Tk также
могут работать под Windows и Macintosh.

%description -l tr.UTF-8
Tk, Tcl betimleme dili ile birlikte kullanılmak üzere tasarlanmış bir
X Window arayüz elemanı kümesidir. Tcl/Tk uygulamaları MS-Windows ve
Macintosh ortamlarında da çalıştırılabilir.

%description -l uk.UTF-8
Tk - це набір екранних примітивів для X Window, призначений для роботи
з інтерпретованою мовою Tcl. Він дозволяє писати повноцінні програми з
графічним інтерфейсом практично за той же час, що і програми
текстового режиму. Програми на Tcl/Tk також можуть працювати під
Windoze та Macintosh.

%package devel
Summary:	Tk GUI toolkit for Tcl header files and development documentation
Summary(pl.UTF-8):	Narzędzia Tk GUI - pliki nagłówkowe i dokumentacja
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}-%{release}
Requires:	tcl-devel >= %{tcl_ver}
Requires:	xorg-lib-libXScrnSaver-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXft-devel

%description devel
Tk GUI toolkit for Tcl header files and development documentation.

%description devel -l pl.UTF-8
Narzędzia Tk GUI - pliki nagłówkowe i dokumentacja.

%package demo
Summary:	Tk GUI toolkit for Tcl - demo programs
Summary(pl.UTF-8):	Narzędzia Tk GUI - programy demonstracyjne
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}-%{release}

%description demo
Tk GUI toolkit for Tcl - demo programs.

%description demo -l pl.UTF-8
Narzędzia Tk GUI - programy demonstracyjne.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
cd unix
%{__autoconf}
TCL_BIN_DIR=%{_libdir}
%configure \
%ifarch x32
	tcl_cv_cc_m64=no \
%endif
	--disable-symbols \
	--disable-threads \
	--enable-64bit \
	--enable-shared \
	--enable-xft

%{__make}

sed -i -e "s#%{_builddir}/%{name}%{version}/unix#%{_libdir}#; \
	s#%{_builddir}/%{name}%{version}#%{_includedir}/%{name}-private#" tkConfig.sh

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir},%{_ulibdir}}

%{__make} -C unix install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	MAN_INSTALL_DIR=$RPM_BUILD_ROOT%{_mandir}

install -d $RPM_BUILD_ROOT%{_includedir}/%{name}-private/{generic/ttk,unix}
find generic unix -name "*.h" -exec cp -p '{}' $RPM_BUILD_ROOT%{_includedir}/%{name}-private/'{}' ';'
for h in $RPM_BUILD_ROOT%{_includedir}/*.h; do
	rh=$(basename "$h")
	if [ -f "$RPM_BUILD_ROOT%{_includedir}/%{name}-private/generic/$rh" ]; then
		ln -sf "../../$rh" $RPM_BUILD_ROOT%{_includedir}/%{name}-private/generic
	fi
done

ln -sf libtk%{major}.so.0.0 $RPM_BUILD_ROOT%{_libdir}/libtk.so
ln -sf libtk%{major}.so.0.0 $RPM_BUILD_ROOT%{_libdir}/libtk%{major}.so
ln -sf libtk%{major}.so.0.0 $RPM_BUILD_ROOT%{_libdir}/libtk%{major}.so.0
%{__mv} $RPM_BUILD_ROOT%{_bindir}/wish%{major} $RPM_BUILD_ROOT%{_bindir}/wish

if [ "%{_libdir}" != "%{_ulibdir}" ] ; then
	%{__mv} $RPM_BUILD_ROOT%{_libdir}/tkConfig.sh $RPM_BUILD_ROOT%{_ulibdir}
	%{__mv} $RPM_BUILD_ROOT%{_libdir}/tk%{major}/pkgIndex.tcl $RPM_BUILD_ROOT%{_ulibdir}/tk%{major}
fi

install generic/tkInt.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wish
%attr(755,root,root) %{_libdir}/libtk%{major}.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libtk%{major}.so.0
%dir %{_ulibdir}/tk%{major}
%{_ulibdir}/tk%{major}/*.tcl
%{_ulibdir}/tk%{major}/tclIndex
%{_ulibdir}/tk%{major}/tkAppInit.c
%{_ulibdir}/tk%{major}/images
%dir %{_ulibdir}/tk%{major}/msgs
%lang(cs) %{_ulibdir}/tk%{major}/msgs/cs.msg
%lang(da) %{_ulibdir}/tk%{major}/msgs/da.msg
%lang(de) %{_ulibdir}/tk%{major}/msgs/de.msg
%lang(el) %{_ulibdir}/tk%{major}/msgs/el.msg
%{_ulibdir}/tk%{major}/msgs/en.msg
%lang(en_GB) %{_ulibdir}/tk%{major}/msgs/en_gb.msg
%lang(eo) %{_ulibdir}/tk%{major}/msgs/eo.msg
%lang(es) %{_ulibdir}/tk%{major}/msgs/es.msg
%lang(fr) %{_ulibdir}/tk%{major}/msgs/fr.msg
%lang(hu) %{_ulibdir}/tk%{major}/msgs/hu.msg
%lang(it) %{_ulibdir}/tk%{major}/msgs/it.msg
%lang(nl) %{_ulibdir}/tk%{major}/msgs/nl.msg
%lang(pl) %{_ulibdir}/tk%{major}/msgs/pl.msg
%lang(pt) %{_ulibdir}/tk%{major}/msgs/pt.msg
%lang(ru) %{_ulibdir}/tk%{major}/msgs/ru.msg
%lang(sv) %{_ulibdir}/tk%{major}/msgs/sv.msg
%{_ulibdir}/tk%{major}/ttk
%{_mandir}/man1/wish.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_ulibdir}/tkConfig.sh
%attr(755,root,root) %{_libdir}/libtk%{major}.so
%attr(755,root,root) %{_libdir}/libtk.so
%{_libdir}/libtkstub%{major}.a
%{_pkgconfigdir}/tk.pc
%{_includedir}/tk*.h
%{_includedir}/tk-private
%{_mandir}/man3/FindPhoto.3*
%{_mandir}/man3/FontId.3*
%{_mandir}/man3/MeasureChar.3*
%{_mandir}/man3/Tk_*.3*
%{_mandir}/man3/Ttk_*.3*
%{_mandir}/mann/*.n*

%files demo
%defattr(644,root,root,755)
%{_ulibdir}/tk%{major}/demos
%changelog
* Thu Nov 11 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tk.git;a=log;h=master

* Thu Nov 11 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> b685a1e
- Up to 8.6.12.

* Thu Nov 11 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> a228d93
- Rediff patches.

* Thu Jan 16 2020 Jakub Bogusz <qboosh@pld-linux.org> d7030ae
- updated to 8.6.10
- removed obsolete link patch

* Sun Jan 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 27071bb
- use tcl_ver macro, introducing more flexibility (like sub-minor version)

* Fri Nov 16 2018 Adam Gołębiowski <adamg@pld-linux.org> a88b51d
- updated to 8.6.9

* Tue May 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> dfccf72
- up to 8.6.8

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 06cff5c
- up to 8.6.7

* Sun Oct 16 2016 Jakub Bogusz <qboosh@pld-linux.org> fb55604
- updated to 8.6.6

* Mon Mar 07 2016 Jakub Bogusz <qboosh@pld-linux.org> f4da4d7
- updated to 8.6.5

* Sun Mar 29 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> dda3b94
- up to 8.6.4

* Tue Mar 03 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6703299
- up to 8.6.3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 1eae5d5
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 03 2015 Jan Rękorajski <baggins@pld-linux.org> a28cc0c
- fix building on x32

* Sat May 31 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 454f92d
- up to 8.6.1; drop patches that look ancient

* Mon Mar 17 2014 Jan Rękorajski <baggins@pld-linux.org> f684b4b
- really fix tk on arch using lib64
- rel 2

* Sat Jan 04 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 333faae
- up to 8.5.15

* Wed Nov 28 2012 Paweł Sikora <pawel.sikora@agmk.net> 8311ba4
- updated to 8.5.13.

* Sat Nov 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b3ce5d
- up to 8.5.11

* Wed Jun 29 2011 Jakub Bogusz <qboosh@pld-linux.org> 5124e95
- BR: pkgconfig, autoconf 2.59
- link patch replaced by better version

* Tue Jun 28 2011 marti <marti@pld-linux.org> 18ed4c3
- create dir in better/right way

